Package Details: python-scipy-mkl 1.3.1-1

Git Clone URL: https://aur.archlinux.org/python-scipy-mkl.git (read-only)
Package Base: python-scipy-mkl
Description: SciPy is open-source software for mathematics, science, and engineering.
Upstream URL: http://www.scipy.org/
Licenses: BSD
Conflicts: python-scipy
Provides: python-scipy=1.3.1
Submitter: bred
Maintainer: petronny
Last Packager: petronny
Votes: 27
Popularity: 0.015763
First Submitted: 2012-09-06 19:34
Last Updated: 2019-08-15 13:08

Required by (313)

Sources (2)

Pinned Comments

petronny commented on 2019-06-26 08:47

Prebuilt binaries of this package can be found in arch4edu.

Latest Comments

1 2 3 4 5 6 Next › Last »

petronny commented on 2019-06-26 08:47

Prebuilt binaries of this package can be found in arch4edu.

petronny commented on 2019-06-25 15:54

@alleut Could you confirm you have a working icc?

alleut commented on 2019-06-25 11:17

It doesn't build now:

Traceback (most recent call last): File "setup.py", line 505, in <module> setup_package() File "setup.py", line 501, in setup_package setup(metadata) File "/usr/lib/python3.7/site-packages/numpy/distutils/core.py", line 171, in setup return old_setup(new_attr) File "/usr/lib/python3.7/site-packages/setuptools/init.py", line 145, in setup return distutils.core.setup(**attrs) File "/usr/lib/python3.7/distutils/core.py", line 148, in setup dist.run_commands() File "/usr/lib/python3.7/distutils/dist.py", line 966, in run_commands self.run_command(cmd) File "/usr/lib/python3.7/distutils/dist.py", line 985, in run_command cmd_obj.run() File "/usr/lib/python3.7/site-packages/numpy/distutils/command/build_clib.py", line 75, in run self.run_command('build_src') File "/usr/lib/python3.7/distutils/cmd.py", line 313, in run_command self.distribution.run_command(command) File "/usr/lib/python3.7/distutils/dist.py", line 985, in run_command cmd_obj.run() File "/usr/lib/python3.7/site-packages/numpy/distutils/command/build_src.py", line 148, in run self.build_sources() File "/usr/lib/python3.7/site-packages/numpy/distutils/command/build_src.py", line 165, in build_sources self.build_extension_sources(ext) File "/usr/lib/python3.7/site-packages/numpy/distutils/command/build_src.py", line 322, in build_extension_sources sources = self.generate_sources(sources, ext) File "/usr/lib/python3.7/site-packages/numpy/distutils/command/build_src.py", line 375, in generate_sources source = func(extension, build_dir) File "scipy/_lib/setup.py", line 32, in get_messagestream_config if config_cmd.check_func('open_memstream', decl=True, call=True): File "/usr/lib/python3.7/site-packages/numpy/distutils/command/config.py", line 321, in check_func self._check_compiler() File "/usr/lib/python3.7/site-packages/numpy/distutils/command/config.py", line 84, in _check_compiler self.fcompiler.customize(self.distribution) File "/usr/lib/python3.7/site-packages/numpy/distutils/fcompiler/init.py", line 511, in customize get_flags('opt', oflags) File "/usr/lib/python3.7/site-packages/numpy/distutils/fcompiler/init.py", line 502, in get_flags flags.extend(getattr(self.flag_vars, tag)) File "/usr/lib/python3.7/site-packages/numpy/distutils/fcompiler/environment.py", line 40, in getattr return self._get_var(name, conf_desc) File "/usr/lib/python3.7/site-packages/numpy/distutils/fcompiler/environment.py", line 56, in _get_var var = self._hook_handler(name, hook) File "/usr/lib/python3.7/site-packages/numpy/distutils/fcompiler/init.py", line 709, in _environment_hook return hook() File "/usr/lib/python3.7/site-packages/numpy/distutils/fcompiler/intel.py", line 128, in get_flags_opt v = self.get_version() File "/usr/lib/python3.7/site-packages/numpy/distutils/fcompiler/init.py", line 432, in get_version raise CompilerNotFound() numpy.distutils.fcompiler.CompilerNotFound

local/intel-fortran-compiler 2019.3.199-3 Intel Fortran compiler 19.0.3

petronny commented on 2019-06-03 04:38

@RunAndTumble I'm waiting for the update of scipy 1.3 in official repository. I'll update this ASAP since scipy 1.3 is in official repository now.

RunAndTumble commented on 2019-06-02 21:01

Hey, if you do not have time to support it properly, you can add me as a co-maintainer.

RunAndTumble commented on 2019-05-20 17:05

Do not forget that scipy 1.3 doesn't support python 2.7.

lopelisoli commented on 2019-02-11 22:19

@petronny: Yesterday I upgraded to 1.2.0, which worked after manually patching my numpy/distutils/ccompiler.py with the workaround you provided in your pull request to numpy. Today, with 1.2.1, I'm getting the following error:

==> Starting prepare()...

patching file scipy/stats/_continuous_distns.py

Hunk #1 FAILED at 1.

1 out of 1 hunk FAILED -- saving rejects to file scipy/stats/_continuous_distns.py.rej

patching file scipy/stats/_stats_mstats_common.py

==> ERROR: A failure occurred in prepare().

Aborting...

RunAndTumble commented on 2019-02-10 14:04

@petronny I've added your patch to numpy-mkl, works like a charm with scipy 1.2.1

RunAndTumble commented on 2019-02-09 16:19

Good news, they're finally going to drop python2 support. See https://github.com/scipy/scipy/pull/9582

petronny commented on 2019-01-23 08:11

@RunAndTumble I'm getting that CompilerNotFound error too.
I create a workaround to fix it.
It's not a good solution but I think it's giving enough clues to the developers to fix it.